Post to Bluesky
curl --request POST \
--url https://api-lr.agent.ai/v1/action/post_to_bluesky \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>",
"content": "<string>",
"output_variable_name": "post_result"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/post_to_bluesky"
payload = {
"username": "<string>",
"password": "<string>",
"content": "<string>",
"output_variable_name": "post_result"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
password: '<string>',
content: '<string>',
output_variable_name: 'post_result'
})
};
fetch('https://api-lr.agent.ai/v1/action/post_to_bluesky', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Outputs
Post to Bluesky
Create a new post on Bluesky using your account credentials.
POST
/
action
/
post_to_bluesky
Post to Bluesky
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Enter your Bluesky username/handle (e.g. 'username.bsky.social')
Enter your Bluesky account password
Enter the text content for your Bluesky post
Assign a variable name to store the post result, such as 'post_response' or 'bluesky_post'.
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$⌘I

